# CreditNotes Object

> Source: https://truto.one/docs/api-reference/unified-accounting-api/creditnotes/

Schema for the `CreditNotes` resource in **Unified Accounting API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for credit notes
- **`number`** _(string)_
  The number of the credit note
- **`status`** _(string)_
  The status of the credit note
  Allowed: `paid`, `submitted`, `authorised`, `voided`
- **`transaction_date`** _(string)_
  The transaction date of the credit note
- **`contact`** _(string)_
  The contact of the credit note
- **`company`** _(string)_
  The company of the credit note
- **`total_amount`** _(number)_
  The total amount of the credit note
- **`remaining_credit`** _(number)_
  The remaining credit of the credit note
- **`line_items`** _(array<object>)_
  The line items of the credit note
  - **`id`** _(string)_
    The unique identifier for line item
  - **`name`** _(string)_
    The name of the line item
  - **`description`** _(string)_
    The description of the line item
  - **`item`** _(string)_
    The ID of the item
  - **`account`** _(string)_
    The ID of the account
  - **`quantity`** _(number)_
    The quantity of the line item
  - **`unit_price`** _(number)_
    The unit price of the line item
  - **`tax_rate`** _(string)_
    The ID of the tax rate
  - **`total_line_amount`** _(number)_
    The total line amount of the line item.
  - **`type`** _(string)_
    The type of the line item
  - **`tracking_categories`** _(array<object>)_
    Tracking categories of the line item
    - **`id`** _(string)_
      The ID of the tracking category
    - **`name`** _(string)_
      The name of the tracking category
    - **`option`** _(string)_
      The option of the tracking category
  - **`currency`** _(string)_
    The currency of the line item
  - **`exchange_rate`** _(number)_
    The exchange rate of the currency for the line item
- **`currency`** _(string)_
  The currency of the credit note
- **`payments`** _(array<string>)_
  The payments of the credit note
- **`created_at`** _(string)_
  This represents the date when the credit note was created
- **`updated_at`** _(string)_
  This represents the date when the credit note was updated
- **`tracking_categories`** _(array<object>)_
  Tracking categories of the credit notes
  - **`id`** _(string)_
    The ID of the tracking category
  - **`name`** _(string)_
    The name of the tracking category
  - **`option`** _(string)_
    The option of the tracking category
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/accounting/credit_notes](/docs/api-reference/unified-accounting-api/creditnotes/list) — List Credit notes
- [POST /unified/accounting/credit_notes](/docs/api-reference/unified-accounting-api/creditnotes/create) — Create Credit notes
- [GET /unified/accounting/credit_notes/{id}](/docs/api-reference/unified-accounting-api/creditnotes/get) — Get Credit notes
